Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007025opensim[REGION] OpenSim Corepublic2014-02-20 16:592017-10-16 11:41
ReporterBruce 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDedicated ServerOSMS Windows Server 2012OS Version6.2.9200
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007025: Extending the region's draw distance no longer works
DescriptionExtend the region's draw distance by setting DefaultDrawDistance higher than the standard value of 255m has no longer any effect. MiniMap will always show just 1 neighbour on each side (9 regions).
Steps To Reproduceset DefaultDrawDistance = 511 in [Startup] of OpenSimDafault.ini
start instance using r24373
open mini map
count regions displayed on mini map
you should see 2 neighbours on each side (25 regions)

Additional InformationHG enables standalone (7 regions). No mega or var region.
TagsNo tags attached.
Git Revision or version numberd50d169441d7394e1391d2d6b862a5607c07c6a0 (r/24373 of 20 Feb 14)
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerSingularity
Attached Files

- Relationships
related to 0007015assignedRobert Adams [VARREGION] Teleporting between neighbors prims disappearing 

-  Notes
(0025287)
Bruce (reporter)
2014-02-23 15:02

Temporary work around: Use Scene.cs of r/24366 (/OpenSim/Region/Framework/Scenes/) before compiling any version after that commit.
(0025291)
Robert Adams (administrator)
2014-02-23 22:00

The latest checkin to master sets Scene.DefaultDrawDistance to the max of the region dimensions and the user setting. That should allow settings of 512 to work with legacy sized regions.

Test and report.
(0025309)
Bruce (reporter)
2014-02-24 15:13

Tested and reporting as fixed. Thank you very much.
(0032339)
JeffKelley (reporter)
2017-10-16 02:18

DrawDistance stopped working between 0.8.2.1 and 0.9.0.0.

I have a 3x4 region cluster with
[Startup]
  DefaultDrawDistance = 768.0

Stopped working after 0.9 upgrade.
Pushed to 1024.0 with no effect.

Simulator 22 (root) # config show Startup DefaultDrawDistance
config get Startup DefaultDrawDistance : 1024.0
(0032340)
UbitUmarov (administrator)
2017-10-16 04:22

silly question: did you set MaxDrawDistance and MaxRegionsViewDistance also ?
(0032341)
JeffKelley (reporter)
2017-10-16 11:37

I did not. My setup is outside OpenSimDefaults.ini and I missed the new variables.

Put all three variables to 768 and it works.

This was a configuration issue.

- Issue History
Date Modified Username Field Change
2014-02-20 16:59 Bruce New Issue
2014-02-20 17:10 Bruce Description Updated View Revisions
2014-02-20 18:21 Bruce Description Updated View Revisions
2014-02-20 18:21 Bruce Steps to Reproduce Updated View Revisions
2014-02-23 15:02 Bruce Note Added: 0025287
2014-02-23 16:03 Robert Adams Assigned To => Robert Adams
2014-02-23 16:03 Robert Adams Status new => assigned
2014-02-23 16:24 Robert Adams Relationship added related to 0007015
2014-02-23 22:00 Robert Adams Note Added: 0025291
2014-02-24 15:13 Bruce Note Added: 0025309
2017-10-16 02:18 JeffKelley Note Added: 0032339
2017-10-16 04:22 UbitUmarov Note Added: 0032340
2017-10-16 11:37 JeffKelley Note Added: 0032341
2017-10-16 11:41 JeffKelley Status assigned => resolved
2017-10-16 11:41 JeffKelley Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker